Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_SKIPJACK_PRIVATE_WRAP_PARAMS

    java.lang.Object
      iaik.pkcs.pkcs11.wrapper.CK_SKIPJACK_PRIVATE_WRAP_PARAMS

public class CK_SKIPJACK_PRIVATE_WRAP_PARAMS
extends Object

class CK_SKIPJACK_PRIVATE_WRAP_PARAMS provides the parameters to the CKM_SKIPJACK_PRIVATE_WRAP mechanism.

PKCS#11 structure:

      typedef struct CK_SKIPJACK_PRIVATE_WRAP_PARAMS {
        CK_ULONG ulPasswordLen;
        CK_BYTE_PTR pPassword;
        CK_ULONG ulPublicDataLen;
        CK_BYTE_PTR pPublicData;
        CK_ULONG ulPandGLen;
        CK_ULONG ulQLen;
        CK_ULONG ulRandomLen;
        CK_BYTE_PTR pRandomA;
        CK_BYTE_PTR pPrimeP;
        CK_BYTE_PTR pBaseG;
        CK_BYTE_PTR pSubprimeQ;
      } CK_SKIPJACK_PRIVATE_WRAP_PARAMS;

Field Summary
`byte[]` | `pBaseG` ulPAndGLen == pPrimeP.length == pBaseG.length PKCS#11: CK_BYTE_PTR pBaseG; CK_ULONG ulRandomLen;
`byte[]` | `pPassword` PKCS#11: CK_BYTE_PTR pPassword; CK_ULONG ulPasswordLen;
`byte[]` | `pPrimeP` ulPAndGLen == pPrimeP.length == pBaseG.length PKCS#11: CK_BYTE_PTR pPrimeP; CK_ULONG ulPAndGLen;
`byte[]` | `pPublicData` PKCS#11: CK_BYTE_PTR pPublicData; CK_ULONG ulPublicDataLen;
`byte[]` | `pRandomA` PKCS#11: CK_BYTE_PTR pRandomA; CK_ULONG ulRandomLen;
`byte[]` | `pSubprimeQ` PKCS#11: CK_BYTE_PTR pSubprimeQ; CK_ULONG ulQLen;

Constructor Summary
`CK_SKIPJACK_PRIVATE_WRAP_PARAMS()`

Method Summary
`String` | `toString()` Returns the string representation of CK_SKIPJACK_PRIVATE_WRAP_PARAMS.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pPassword

    public byte[] pPassword

  PKCS#11:

         CK_BYTE_PTR pPassword;
         CK_ULONG ulPasswordLen;

### pPublicData

    public byte[] pPublicData

  PKCS#11:

         CK_BYTE_PTR pPublicData;
         CK_ULONG ulPublicDataLen;

### pRandomA

    public byte[] pRandomA

  PKCS#11:

         CK_BYTE_PTR pRandomA;
         CK_ULONG ulRandomLen;

### pPrimeP

    public byte[] pPrimeP

  ulPAndGLen == pPrimeP.length == pBaseG.length

  PKCS#11:

         CK_BYTE_PTR pPrimeP;
         CK_ULONG ulPAndGLen;

### pBaseG

    public byte[] pBaseG

  ulPAndGLen == pPrimeP.length == pBaseG.length PKCS#11:

         CK_BYTE_PTR pBaseG;
         CK_ULONG ulRandomLen;

### pSubprimeQ

    public byte[] pSubprimeQ

  PKCS#11:

         CK_BYTE_PTR pSubprimeQ;
         CK_ULONG ulQLen;

Constructor Detail

### CK_SKIPJACK_PRIVATE_WRAP_PARAMS

    public CK_SKIPJACK_PRIVATE_WRAP_PARAMS()

Method Detail

### toString

    public String toString()

  Returns the string representation of CK_SKIPJACK_PRIVATE_WRAP_PARAMS.

  Returns:
    the string representation of CK_SKIPJACK_PRIVATE_WRAP_PARAMS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.